### Hierarchy

- Button

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec
- TYPE

### Methods

- render
- cleanupButtons

## Constructors

### constructor

- new Button(message: ISpecification): Button

- - Defined in lib/renderable/button/index.ts:23

  #### Parameters

  - ##### message: ISpecification

  #### Returns Button

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/button/index.ts:23

### Static TYPE

TYPE: "button" = "button"

- Defined in lib/renderable/button/index.ts:21

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/button/index.ts:32

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Static cleanupButtons

- cleanupButtons(className: undefined | string): void

- - Defined in lib/renderable/button/index.ts:76

  #### Parameters

  - ##### Optional className: undefined | string

  #### Returns void

Generated using TypeDoc